<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/var/www/installer/public_html/officity-source/apps/officity/factory/modules/FieldNew.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
    require_once(dirname(__FILE__).'/include.php');

    /* *** */

    $TARGET_MODULE_DENOMINATION = URLParam::fetch('targetModuleDenom');
    
    /* *** */

    $nql = new Officity_Shell();

	$nql->addTemplateElement('FIELD');			
	$nql->addModuleFields('FIELD');    
    $nql->addAllLists(); 
    
    $nql->addCommand('
    	<SEARCH name="modules">
    		<MODULE />
    		<RETURN>
    			<INFO>
	    			<DENOMINATION />
    			</INFO>
    		</RETURN>
    	</SEARCH>
    ');
     
    if (empty($TARGET_MODULE_DENOMINATION))
    {
    	unset($_GET['targetModuleDenom']); // for XSLT
    }
    else
    {
	    $nql->addCommand('
	    	<GET name="targetModule">
	    		<MODULE denomination="'.$TARGET_MODULE_DENOMINATION.'"/>
	    		<RETURN>
	    			<INFO>
		    			<DENOMINATION />
	    			</INFO>
	    		</RETURN>
	    	</GET>
	    ');
    }
    
    $nql->execute();
    
    echo $nql->transform(dirname(__FILE__).'/FieldNew.xsl');
?>